# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

%define name	phpwebgallery
%define version 1.4.0
%define release 1mdk

Summary:	PhpWebGallery
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.phpwebgallery.net/
Source0:	http://download.gna.org/phpwebgallery/release/1.4/%{name}-%{version}.tar.bz2
Requires:	webserver
Requires:	php-common
Requires:	php-mysql
Requires:	php-gd
Requires:	mod_php
BuildRequires:	file
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PhpWebGallery is an image gallery with a very simple installation
interface and administration panel. It features free or restricted
access, user management, groups, access management for each
category, multi-server support (to store your pictures on another
Web site), user comments, HTML templates, virtual categories, and
multilingual support (English, French, German, Italian, Dutch,
Russian, Norwegian, Spanish, Danish, Swedish, Japanese, Brazilian
Portuguese, and Czech). 

%prep

%setup -q -n %{name}-%{version}

echo "// this line was added to please rpmlint" >> include/mysql.inc.php

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_var}/www/html/%{name}
cp -aRf * %{buildroot}%{_var}/www/html/%{name}/

# cleanup
rm -rf %{buildroot}%{_var}/www/html/%{name}/doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/README*
%config(noreplace) %attr(0644,root,root) %{_var}/www/html/%{name}/include/mysql.inc.php
%{_var}/www/html/%{name}

%changelog
* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0
- use the %%mkrel macro

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.RC3.1mdk
- 1.4.0RC3
- strip away annoying ^M

* Sat Jan 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.RC2.1mdk
- 1.4.0RC2

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200412272240.1mdk
- 200412272240
- new %%description

* Sun Oct 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200410260700.1mdk
- 200410260700

* Tue Sep 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409210700.1mdk
- 200409210700

* Thu Sep 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409080700.1mdk
- 200409080700

* Mon Sep 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409060700.1mdk
- 200409060700

* Sun Sep 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409050700.1mdk
- initial mandrake package
